import 'package:dart_json_mapper/dart_json_mapper.dart';

@jsonSerializable
class VgkCardHorizontalModel {
  String key;

  @JsonProperty(ignoreIfNull: true)
  List<VgkCardHorizontalDetailModel> data;

  VgkCardHorizontalModel({
    this.key,
    this.data,
  });
}

@jsonSerializable
class VgkCardHorizontalDetailModel {
  String key;

  String value;

  String src;

  @JsonProperty(ignoreIfNull: true)
  List<VgkCardHorizontalSubDetailModel> data;

  VgkCardHorizontalDetailModel({
    this.key,
    this.value,
    this.src,
    this.data,
  });
}

@jsonSerializable
class VgkCardHorizontalSubDetailModel {
  String key;

  String value;

  String src;

  VgkCardHorizontalSubDetailModel({
    this.key,
    this.value,
    this.src,
  });
}
